Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510096 - Label->Tag mapping doesn't unassign last tag(s)
Summary: Label->Tag mapping doesn't unassign last tag(s)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.4
Assignee: Beni Paskin-Cherniavsky
QA Contact: Einat Pacifici
URL:
Whiteboard: container
Depends On: 1508437 1538005
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-06 17:02 UTC by Satoe Imaishi
Modified: 2018-03-06 09:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1508437
Environment:
Last Closed: 2018-03-06 09:22:24 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)

Comment 2 CFME Bot 2017-11-13 21:51:16 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c0a42ce73235968df4e88e0e2e54d4fa91025f46

commit c0a42ce73235968df4e88e0e2e54d4fa91025f46
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Wed Nov 1 10:22:45 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 13 16:44:31 2017 -0500

    Merge pull request #16370 from cben/blank-mapped-tags
    
    Do unassign tags when mapped tags list becomes empty
    (cherry picked from commit 48675e0f108169ed19647194a3abae691c972fcf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1510096

 app/models/ems_refresh/save_inventory.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 3 Beni Paskin-Cherniavsky 2017-11-14 18:05:59 UTC
There is a tests-only PR waiting for backport:
https://github.com/ManageIQ/manageiq/pull/16453
but functionality is done, so moving to POST.

Comment 4 Einat Pacifici 2018-01-24 09:26:54 UTC
Reassigning. The scenario described comment 1 does not work. In version 5.8.3. it is not possible to map tags and have them shown in the "My company tags". 
Discussed this issue with cben@redhat.com and agreed to reassign BZ.

Comment 6 Einat Pacifici 2018-03-06 09:22:24 UTC
With all the work that has gone into "refresh" fixes, this BZ is no longer reproducing. Not in 58x and not in 59x. Hence closing it for now.


Note You need to log in before you can comment on or make changes to this bug.